Bug 468176 - Some bugs are not returned as well-formed XML from getBug call
Some bugs are not returned as well-formed XML from getBug call
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.6
All Linux
high Severity high (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 09:12 EDT by Martin Bacovsky
Modified: 2013-06-23 22:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 02:17:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Bacovsky 2008-10-23 09:12:39 EDT
Description of problem:
getBug() XMLRPC call returns invalid XML response on some bugs. When trying to parse the response on my side I'm getting i.e. not well-formed (invalid token): line 826, column 58. 

It seems that affected bugs contains 'wierd' charcters in comments which are not properly escaped while generating XMLRPC response.

Currently this happens with following bugs:
 While processing #171306: not well-formed (invalid token): line 1406, column 1
 While processing #220677: not well-formed (invalid token): line 17, column 25
 While processing #224611: not well-formed (invalid token): line 759, column 38
 While processing #239658: not well-formed (invalid token): line 230, column 0
 While processing #282611: not well-formed (invalid token): line 35, column 0
 While processing #442352: not well-formed (invalid token): line 247, column 16
 While processing #443362: not well-formed (invalid token): line 100, column 41
 While processing #446958: not well-formed (invalid token): line 4, column 23
 While processing #451188: not well-formed (invalid token): line 826, column 58
 While processing #451709: not well-formed (invalid token): line 36, column 67
 While processing #461256: not well-formed (invalid token): line 72, column 0
 While processing #464406: not well-formed (invalid token): line 21, column 5
Comment 1 David Lawrence 2008-11-21 15:21:51 EST
Verified as an issue and will need to investigate the problem. Most likely problem lies in the XMLRPC library perl-SOAP-Lite.
Comment 2 Kevin Baker 2009-01-18 17:09:57 EST
Created attachment 329308 [details]
bz xmlrpc script that verifies bug on #211393

Attaching a script that reproduces error
Comment 4 Noura El hawary 2009-01-19 07:17:34 EST
I think this is similar problem that we encountered before and was reported by sly, the problem actually was coming from the bugs created by Issue Tracker in bugzilla. 

Noura
Comment 5 David Lawrence 2010-01-15 11:54:58 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this bug will need to be re-verified against the new release. With
the updated code this bug may no longer be relevant or may have been fixed in
the new code. Updating bug version to 3.4.
Comment 6 David Lawrence 2010-08-25 17:40:25 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 7 Simon Green 2012-06-19 02:17:30 EDT
This was fixed some time last year.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.